package cn.com.countrygarden.bi.main.dto.advise;

/**
 * @author 木木子
 * @Description: java类作用描述
 * @email 944528607@qq.com
 * @date 2019/5/10 14:36
 */
public class AfAdviseFeedbackAddPreVO {
    /**
     * 是否拥有某个角色（falae:无角色）
     */
    private Boolean isRole;
    /**
     * 建言-区域管理员(true:是，false:否)
     */
    private Boolean regionAdminRole;
    /**
     * 建言-系统管理员(true:是，false:否)
     */
    private Boolean systemAdminRole;
    /**
     * 建言-超级管理员(true:是，false:否)
     */
    private Boolean superAdminRole;
    /**
     * 建言-类型管理员(true:是，false:否)
     */

    private  Boolean typeAdminRole;
    /**
     * 建言-总部管理员(true:是，false:否)
     */
    private Boolean  headquartersAdminRole;

    /**
     * 是否显示私密
     */
    private Boolean isShowPrivate;
    /**
     * 是否显示添加按钮(true:是，false:否)
     */
    private Boolean isShowAddButton;

    /**
     * 是否私密(0:否，1：是)
     */
    private Integer isPrivate;
    /**
     * 当前用户所在的节点类型（0项目1区域2总部3类型）
     */
    private Integer processType;



    public Boolean getRole() {
        return isRole;
    }

    public void setRole(Boolean role) {
        isRole = role;
    }

    public Boolean getRegionAdminRole() {
        return regionAdminRole;
    }

    public void setRegionAdminRole(Boolean regionAdminRole) {
        this.regionAdminRole = regionAdminRole;
    }

    public Boolean getSystemAdminRole() {
        return systemAdminRole;
    }

    public void setSystemAdminRole(Boolean systemAdminRole) {
        this.systemAdminRole = systemAdminRole;
    }

    public Boolean getSuperAdminRole() {
        return superAdminRole;
    }

    public void setSuperAdminRole(Boolean superAdminRole) {
        this.superAdminRole = superAdminRole;
    }

    public Boolean getTypeAdminRole() {
        return typeAdminRole;
    }

    public void setTypeAdminRole(Boolean typeAdminRole) {
        this.typeAdminRole = typeAdminRole;
    }

    public Boolean getHeadquartersAdminRole() {
        return headquartersAdminRole;
    }

    public void setHeadquartersAdminRole(Boolean headquartersAdminRole) {
        this.headquartersAdminRole = headquartersAdminRole;
    }

    public Boolean getShowPrivate() {
        return isShowPrivate;
    }

    public void setShowPrivate(Boolean showPrivate) {
        isShowPrivate = showPrivate;
    }

    public Boolean getShowAddButton() {
        return isShowAddButton;
    }

    public void setShowAddButton(Boolean showAddButton) {
        isShowAddButton = showAddButton;
    }

    public Integer getIsPrivate() {
        return isPrivate;
    }

    public void setIsPrivate(Integer isPrivate) {
        this.isPrivate = isPrivate;
    }

    public Integer getProcessType() {
        return processType;
    }

    public void setProcessType(Integer processType) {
        this.processType = processType;
    }
    //    // TODO 为理清自己思路使用，后续检查是否要优化
//    /**
//     * 角色分析：（系统管理员对业务流程不影响，所以不考虑）
//     * 1.当前登录人仅超级管理员角色：不能新增建言（最大boss没有建言的必要）
//     * 2.当前登录人拥有多个角色，如：区域管理员、总部管理员、类型管理员
//     *       2-1.可以新增建言
//     *       2-2.如果取区域管理员，则
//     */
//    private Boolean isAddSubmit;
//
//
//    private List<AfAdviseFeedbackListVO> feedbackListVOList;
//
//    public Boolean getAddSubmit() {
//        return isAddSubmit;
//    }
//
//    public void setAddSubmit(Boolean addSubmit) {
//        isAddSubmit = addSubmit;
//    }
//
//    public List<AfAdviseFeedbackListVO> getFeedbackListVOList() {
//        return feedbackListVOList;
//    }
//
//    public void setFeedbackListVOList(List<AfAdviseFeedbackListVO> feedbackListVOList) {
//        this.feedbackListVOList = feedbackListVOList;
//    }
}
